oci_field_precision
oci_field_size
OCI8 Functions
PHP Manual

# oci_field_scale

(PHP 5, PECL oci8:1.1-1.2.4)

oci_field_scale — Tell the scale of the field

### Description

int oci_field_scale ( resource `$statement` , int `$field` )

Returns the scale of the column with `field` index.

For FLOAT columns, precision is nonzero and scale is -127. If precision is 0, then column is NUMBER. Else it's NUMBER(precision, scale).

### Parameters

`statement`

  A valid OCI statement identifier.

`field`

  Can be the field's index (1-based) or name.

### Return Values

Returns the scale as an integer, or `FALSE` on errors.

### Notes

> Note: In PHP versions before 5.0.0 you must use ocicolumnscale() instead. This name still can be used, it was left as alias of oci_field_scale() for downwards compatability. This, however, is deprecated and not recommended.

### See Also

- oci_field_precision()
- oci_field_type()

oci_field_precision
oci_field_size
OCI8 Functions
PHP Manual